Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1142049 - Review Request: nodejs-chainsaw - Build chainable fluent interfaces the easy way
Summary: Review Request: nodejs-chainsaw - Build chainable fluent interfaces the easy way
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Hrcka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1142050
TreeView+ depends on / blocked
 
Reported: 2014-09-16 05:24 UTC by Parag Nemade
Modified: 2014-11-14 20:23 UTC (History)
2 users (show)

Fixed In Version: nodejs-chainsaw-0.1.0-1.1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-01 01:31:40 UTC
thrcka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2014-09-16 05:24:10 UTC
Spec URL: https://paragn.fedorapeople.org/fedora-work/SPECS/nodejs-chainsaw.spec
SRPM URL: https://paragn.fedorapeople.org/fedora-work/SRPMS/nodejs-chainsaw-0.1.0-1.fc21.src.rpm
Description: Build chainable fluent interfaces the easy way
Fedora Account System Username: pnemade

Comment 2 Tomas Hrcka 2014-10-20 12:07:49 UTC
can you please use License file included in upstream git repository?

Comment 3 Parag Nemade 2014-10-22 05:22:26 UTC
Tomas,
   you sure you are seeing it different. I just downloaded upstream license file as written in Source1 of spec
$ wget https://raw.githubusercontent.com/substack/node-chainsaw/master/LICENSE
--2014-10-22 10:47:47--  https://raw.githubusercontent.com/substack/node-chainsaw/master/LICENSE
Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 23.235.43.133
Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|23.235.43.133|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 165 [text/plain]
Saving to: ‘LICENSE’

100%[======================================>] 165         --.-K/s   in 0s      

2014-10-22 10:47:51 (10.1 MB/s) - ‘LICENSE’ saved [165/165]

$ sha256sum ./LICENSE 
55bf9819f3d339140d1b363058254c6c75a03159fc7d875b72600e76ebd3f038  ./LICENSE

sha256sum ../SOURCES/LICENSE
55bf9819f3d339140d1b363058254c6c75a03159fc7d875b72600e76ebd3f038  ../SOURCES/LICENSE


I see both are same and the srpm already included it.

Comment 4 Tomas Hrcka 2014-10-22 06:39:44 UTC
sorry wrong bz :)

Comment 5 Tomas Hrcka 2014-10-22 06:42:25 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 4 files have unknown license. Detailed output of
     licensecheck in /home/thrcka/1142049-nodejs-chainsaw/licensecheck.txt
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-chainsaw-0.1.0-1.fc21.noarch.rpm
          nodejs-chainsaw-0.1.0-1.fc21.src.rpm
nodejs-chainsaw.noarch: W: spelling-error Summary(en_US) chainable -> chain able, chain-able, changeable
nodejs-chainsaw.noarch: W: spelling-error %description -l en_US chainable -> chain able, chain-able, changeable
nodejs-chainsaw.noarch: W: only-non-binary-in-usr-lib
nodejs-chainsaw.noarch: W: dangling-symlink /usr/lib/node_modules/chainsaw/node_modules/traverse /usr/lib/node_modules/traverse
nodejs-chainsaw.src: W: spelling-error Summary(en_US) chainable -> chain able, chain-able, changeable
nodejs-chainsaw.src: W: spelling-error %description -l en_US chainable -> chain able, chain-able, changeable
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-chainsaw
nodejs-chainsaw.noarch: W: spelling-error Summary(en_US) chainable -> chain able, chain-able, changeable
nodejs-chainsaw.noarch: W: spelling-error %description -l en_US chainable -> chain able, chain-able, changeable
nodejs-chainsaw.noarch: W: only-non-binary-in-usr-lib
nodejs-chainsaw.noarch: W: dangling-symlink /usr/lib/node_modules/chainsaw/node_modules/traverse /usr/lib/node_modules/traverse
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-chainsaw (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(traverse)



Provides
--------
nodejs-chainsaw:
    nodejs-chainsaw
    npm(chainsaw)



Source checksums
----------------
http://registry.npmjs.org/chainsaw/-/chainsaw-0.1.0.tgz :
  CHECKSUM(SHA256) this package     : 01586a6aa1d1174ae07aff69822d01e0704fe30f23ac22221c9b804bab976cfb
  CHECKSUM(SHA256) upstream package : 01586a6aa1d1174ae07aff69822d01e0704fe30f23ac22221c9b804bab976cfb
https://raw.githubusercontent.com/substack/node-chainsaw/master/LICENSE :
  CHECKSUM(SHA256) this package     : 55bf9819f3d339140d1b363058254c6c75a03159fc7d875b72600e76ebd3f038
  CHECKSUM(SHA256) upstream package : 55bf9819f3d339140d1b363058254c6c75a03159fc7d875b72600e76ebd3f038


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1142049
Buildroot used: fedora-21-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 6 Parag Nemade 2014-10-22 08:14:16 UTC
Thank you for the above package review.

New Package SCM Request
=======================
Package Name: nodejs-chainsaw
Short Description:  Build chainable fluent interfaces the easy way
Upstream URL: https://github.com/substack/node-chainsaw
Owners: pnemade
Branches: f20 f21 epel7

Comment 7 Gwyn Ciesla 2014-10-22 10:01:42 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-10-22 10:40:11 UTC
nodejs-chainsaw-0.1.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-chainsaw-0.1.0-1.fc20

Comment 9 Fedora Update System 2014-10-22 10:40:53 UTC
nodejs-chainsaw-0.1.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-chainsaw-0.1.0-1.fc21

Comment 10 Fedora Update System 2014-10-22 10:51:00 UTC
nodejs-chainsaw-0.1.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-chainsaw-0.1.0-1.el7

Comment 11 Fedora Update System 2014-10-22 18:45:22 UTC
nodejs-chainsaw-0.1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 12 Parag Nemade 2014-10-29 15:50:50 UTC
Package Change Request
======================
Package Name: nodejs-chainsaw
New Branches: f19 el6
Owners: pnemade

Comment 13 Gwyn Ciesla 2014-10-29 16:09:35 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2014-10-29 16:50:58 UTC
nodejs-chainsaw-0.1.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-chainsaw-0.1.0-1.fc19

Comment 15 Fedora Update System 2014-10-29 16:58:53 UTC
nodejs-chainsaw-0.1.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-chainsaw-0.1.0-1.el6

Comment 16 Fedora Update System 2014-10-30 15:44:28 UTC
nodejs-chainsaw-0.1.0-1.1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-chainsaw-0.1.0-1.1.el6

Comment 17 Fedora Update System 2014-11-01 01:31:40 UTC
nodejs-chainsaw-0.1.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 18 Fedora Update System 2014-11-01 17:05:42 UTC
nodejs-chainsaw-0.1.0-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 19 Fedora Update System 2014-11-10 06:40:58 UTC
nodejs-chainsaw-0.1.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 20 Fedora Update System 2014-11-12 23:13:43 UTC
nodejs-chainsaw-0.1.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 21 Fedora Update System 2014-11-14 20:23:11 UTC
nodejs-chainsaw-0.1.0-1.1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.